sfuncsplot_polys <- function(resultsQR,resultsDR,ngx,yy){
  
  gridX.DR        <- resultsDR$gridX
  gridX.QR        <- resultsQR$gridX
  xx              <- seq(gridX.QR[1],gridX.QR[length(results$QR$gridX)],length.out = ngx)
  #pY              <- seq(.01,.99,length.out = ngy)
  #yy              <- quantile(Y,pY)
  
  # ---------------------------
  # Define
  # ---------------------------
  #ASFs
  asfDRfun      <- splinefun(gridX.DR,resultsDR$ASF, method = "natural")
  asfQRfun      <- splinefun(gridX.QR,resultsQR$ASF, method = "natural")
  
  # QSFs
  qsfDRfun      <- list()
  qsfQRfun      <- list()
  
  for(i in 1:ntausqsf){
    qsfDRfun[[i]]     <- splinefun(gridX.DR,resultsDR$QSF[,i], method = "natural")
    qsfQRfun[[i]]     <- splinefun(gridX.QR,resultsQR$QSF[,i], method = "natural")
  }
  
   
  # ---------------------------
  # Evaluate
  # ---------------------------
  # ASFs
  asfQRfunx      <- asfQRfun(xx)
  asfDRfunx      <- asfDRfun(xx)

  # QSFs
  qsfQRfunx      <- NULL
  qsfDRfunx      <- NULL
  
  for(i in 1:length(tausqsf)){ qsfQRfunx     <- c(qsfQRfunx,     qsfQRfun[[i]](xx)) }
  for(i in 1:length(tausqsf)){ qsfDRfunx     <- c(qsfDRfunx,     qsfDRfun[[i]](xx)) }
  
  
  
  ans <- list(asfDRfunx = asfDRfunx, asfQRfunx = asfQRfunx, qsfDRfunx = qsfDRfunx, qsfQRfunx = qsfQRfunx)
  
  return(ans) 
}

